package lk.datastructures;

import java.util.LinkedList;

public class FlipSequence {
	
	private LinkedList<Flip> flips;
	
	public FlipSequence() {
		flips = new LinkedList<Flip>();
	}
	
	public void addFlips(Flip ... flips) {
		for(Flip flip : flips)
			this.flips.addLast(flip);
	}
	public Flip lastFlip() {
		return flips.isEmpty() ? null : flips.removeLast();
	}
	
	public Flip nextFlip() {
		return flips.poll();
	}
	
	public String toString() { return flips.toString(); }
	public boolean isEmpty() { return flips .isEmpty(); }
}